## org.apache.bcel.generic
Interface CompoundInstruction

All Known Implementing Classes:
  PUSH, SWITCH

    public interface CompoundInstruction

Wrapper class for `compound' operations, virtual instructions that don't exist as byte code, but give a useful meaning. For example, the (virtual) PUSH instruction takes an arbitray argument and produces the appropiate code at dump time (ICONST, LDC, BIPUSH, ...). Also you can use the SWITCH instruction as a useful template for either LOOKUPSWITCH or TABLESWITCH. The interface provides the possibilty for the user to write `templates' or `macros' for such reuseable code patterns.

Version:
  $Id: CompoundInstruction.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  `PUSH`, `SWITCH`

Method Summary
`InstructionList` `getInstructionList()`

Method Detail

### getInstructionList

    InstructionList getInstructionList()

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.